cURL
curl --request GET \
--url https://api.grainfinance.co/v1/spots \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.grainfinance.co/v1/spots"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.grainfinance.co/v1/spots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spots": [
{
"id": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
"organizationId": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
"fromCurrency": "MXN",
"toCurrency": "USD",
"toCurrencyAmount": 1560,
"fromCurrencyAmount": 32161.8,
"quote": 20.6165,
"acceptedAtTs": 1659625088,
"issuedAt": "2023-01-18",
"completedAt": "2023-02-23"
}
],
"pagination": {
"page": 2,
"perPage": 50.5,
"totalResults": 123
}
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}Spots
List Spots
deprecated
Retrieves all spot transactions for the given organization.
GET
/
spots
cURL
This endpoint is deprecated and will be removed on Jul 15. Use
GET /conversions instead.Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Query Parameters
page number indicating which set of items to return The page indicating which set of items are returned
Required range:
x >= 1number of items in a page
Required range:
1 <= x <= 100⌘I